%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupalbase           %{_datadir}/%{drupal}
%global drupal_sites_all    %{drupalbase}/sites/all        
%global drupal_modules      %{drupal_sites_all}/modules
# Use upstream name as expressed in URL and tarball
%global modname             markdown

Name:    drupal%{drupalver}-%{modname}
Version: 1.4
Release: 2%{?dist}
Summary: Markdown Module for Drupal6
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{version}.tar.gz
Source1: %{name}-fedora-README.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6

%description
Provides Markdown filter integration for Drupal input formats. The Markdown 
syntax is designed to co-exist with HTML, so you can set up input formats
with both HTML and Markdown support.

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .


%install
rm -rf %{buildroot}
install -p -d %{buildroot}%{drupal_modules}/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupal_modules}/%{modname}/'{}' \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{name}-fedora-README.txt
%doc %{drupal_modules}/%{modname}/LICENSE.txt
%exclude %{drupal_modules}/%{modname}/LICENSE.txt
%exclude %{drupal_modules}/%{modname}/%{name}-fedora-README.txt
%{drupal_modules}/%{modname}

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Sep 12 2013 Jon Ciesla <limburgher@gmail.com> - 1.4-1
- 1.4, BZ 1000476.

* Fri Mar 22 2013 Anderson Silva <ansilva@redhat.com> - 1.3-1
- Upstream update

* Thu Jun 7 2012 Anderson Silva <ansilva@redhat.com> - 1.2-3
- Update LICENSE.txt with FSF mailing address 
- Update description 

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 1.2-2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 1.2-1
- Initial rpm package
